#include "MainWindow.h"
#include "GLWindow.h"

MainWindow::MainWindow(
											 int _numSpheres,
                       QWidget *_parent
                      ):
                        QMainWindow(_parent)
{
    this->resize(QSize(1024,720));
    m_gl = new GLWindow(_numSpheres,this);
    this->setWindowTitle(QString("Ray Sphere Collision Detection %1 Spheres").arg(_numSpheres));
}

MainWindow::~MainWindow()
{
}


void MainWindow::keyPressEvent(
                               QKeyEvent *_event
                              )
{
  // this method is called every time the main window recives a key event.
  // we then switch on the key value and set the camera in the GLWindow
  switch (_event->key())
  {
  case Qt::Key_Escape : QApplication::exit(EXIT_SUCCESS); break;
  case Qt::Key_A : m_gl->toggleAnimation(); break;
  case Qt::Key_F : showFullScreen(); break;
  case Qt::Key_N : showNormal(); break;
  default : break;
  }
  m_gl->keyPress(_event);
	// finally update the GLWindow and re-draw
  m_gl->updateGL();
}

void MainWindow::resizeEvent ( QResizeEvent * _event )
{
  m_gl->resize(_event->size());
}

